%define sname	pgl

Name:		peerguardian
Version:	2.3.1
Release:	%mkrel 1
Summary:	A privacy oriented firewall application
Group:		Networking/Other
License:	GPLv3
Url:		http://sourceforge.net/projects/peerguardian/
Source0:	http://downloads.sourceforge.net/project/peerguardian/PeerGuardian%20Linux/%{version}/%{sname}-%{version}.tar.gz

BuildRequires:	pkgconfig(libnetfilter_queue)
BuildRequires:	pkgconfig(polkit-qt-gui-1)
BuildRequires:	pkgconfig(systemd)

%description
PeerGuardian Linux (pgl) is a privacy oriented firewall application.
It blocks connections to and from hosts specified in huge blocklists 
(thousands or millions of IP ranges).
Its origin seeds in targeting aggressive IPs while using P2P.

%prep
%setup -q -n %{sname}-%{version}

%build
%configure2_5x --with-systemd=%{_unitdir}

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete

%post
 %_post_service %{sname}

%preun
 %_preun_service %{sname}
 
%files
%doc %{_docdir}/%{sname}/*
%{_sysconfdir}/NetworkManager/dispatcher.d/20%{sname}cmd
%{_sysconfdir}/cron.daily/%{sname}cmd
%{_sysconfdir}/dbus-1/system.d/org.netfilter.%{sname}.conf
%{_sysconfdir}/init.d/%{sname}
%{_sysconfdir}/logrotate.d/*
%{_sysconfdir}/%{sname}/*
#%{_bindir}/blockcontrol2%{sname}cmd
%{_bindir}/%{sname}cmd
%{_bindir}/%{sname}gui
%{_libdir}/%{sname}/*
%{_sbindir}/%{sname}cmd.wd
%{_sbindir}/%{sname}d
%{_datadir}/applications/%{sname}gui.desktop
%{_mandir}/man1/%{sname}d.1.xz
%{_datadir}/pixmaps/%{sname}gui.png
%{_unitdir}/%{sname}.service
%{_unitdir}/pgl-update.service
%{_unitdir}/pgl-update.timer

%changelog
* Wed Dec 16 2015 barjac <barjac> 2.3.1-1.mga6
+ Revision: 910835
- new version 2.3.1
- fix files list

* Sat Oct 10 2015 barjac <barjac> 2.3.0-1.mga6
+ Revision: 889363
- new version 2.3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-3.mga5
+ Revision: 748882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-2.mga5
+ Revision: 683395
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 barjac <barjac> 2.2.4-1.mga5
+ Revision: 609024
- new version 2.2.4

* Sat Dec 07 2013 barjac <barjac> 2.2.3-1.mga4
+ Revision: 555775
- imported package peerguardian

